<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'gallery',

    /*
     * Modules.
     */
    'modules'   => ['gallery', 
'gallery_category'],

    'gallery'       => [
        'model' => [
            'model'                 => \Lavalite\Gallery\Models\Gallery::class,
            'table'                 => 'galleries',
            'presenter'             => \Lavalite\Gallery\Repositories\Presenter\GalleryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'category_id',  'name',  'slug',  'description',  'images',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'gallery/gallery',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Gallery',
            'module'    => 'Gallery',
        ],

    ],

    'gallery_category'       => [
        'model' => [
            'model'                 => \Lavalite\Gallery\Models\GalleryCategory::class,
            'table'                 => 'gallery_categories',
            'presenter'             => \Lavalite\Gallery\Repositories\Presenter\GalleryCategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'gallery/gallery_category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Gallery',
            'module'    => 'GalleryCategory',
        ],

    ],
];
