<?php

namespace Lavalite\Gallery\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GalleryCategoryTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Gallery\Models\GalleryCategory $gallery_category)
    {
        return [
            'id'                => $gallery_category->getRouteKey(),
            'key'               => [
                'public'    => $gallery_category->getPublicKey(),
                'route'     => $gallery_category->getRouteKey(),
            ], 
            'id'                => $gallery_category->id,
            'name'              => $gallery_category->name,
            'slug'              => $gallery_category->slug,
            'status'            => $gallery_category->status,
            'deleted_at'        => $gallery_category->deleted_at,
            'created_at'        => $gallery_category->created_at,
            'updated_at'        => $gallery_category->updated_at,
            'url'               => [
                'public'    => trans_url('gallery/'.$gallery_category->getPublicKey()),
                'user'      => guard_url('gallery/gallery_category/'.$gallery_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$gallery_category->status),
            'created_at'        => format_date($gallery_category->created_at),
            'updated_at'        => format_date($gallery_category->updated_at),
        ];
    }
}