<?php

namespace Lavalite\Gallery\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GalleryTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Gallery\Models\Gallery $gallery)
    {
        return [
            'id'                => $gallery->getRouteKey(),
            'key'               => [
                'public'    => $gallery->getPublicKey(),
                'route'     => $gallery->getRouteKey(),
            ], 
            'id'                => $gallery->id,
            'category_id'       => $gallery->category_id,
            'name'              => $gallery->name,
            'slug'              => $gallery->slug,
            'description'       => $gallery->description,
            'images'            => $gallery->images,
            'status'            => $gallery->status,
            'deleted_at'        => $gallery->deleted_at,
            'created_at'        => $gallery->created_at,
            'updated_at'        => $gallery->updated_at,
            'url'               => [
                'public'    => trans_url('gallery/'.$gallery->getPublicKey()),
                'user'      => guard_url('gallery/gallery/'.$gallery->getRouteKey()),
            ], 
            'status'            => trans('app.'.$gallery->status),
            'created_at'        => format_date($gallery->created_at),
            'updated_at'        => format_date($gallery->updated_at),
        ];
    }
}